Error upgrading to Omeka S 2.0.1 ..... FAILURE [3; /usr/bin/curl] [http code=500]

I tried upgraded my site from Omeka S 1.4.0 to 2.0.1 and I received the following error, which I’m not sure exactly what it means. Can anyone tell me where I should be looking to troubleshoot?

FAILURE [3; /usr/bin/curl] [http code=500]

Also, I went to my site’s URL / migrate, and it says the following:
“There was a recent software upgrade and the database needs to be updated. The entire site will be down for maintenance until you click the button below.”

When I clicked the button, it just says Omeka S encountered an error.

I’m not sure if it has to do with htaccess, a php requirement, or if it’s something else.

Thanks!

To follow up, I thought I had already updated my themes & modules to be compatible with Omeka S 2.0.1, but I might be missing something. I am new to making things compatible, but I had tested my custom themes and modules on another instance and it was successful - the only problem is that it eliminated all of the items in the placeholders on every single page - so I’m trying to upgrade in such a way that it doesn’t do that.

You may have more luck reaching out in the Omeka forums given there are more folks there with the expertise in that software and these forums are primarily geared towards Reclaim Hosting rather than a particular application. That being said I would start by turning on error reporting in Omeka S so you get more detailed errors to go by Error Logging - Omeka S User Manual

1 Like

Thanks, I actually posted in the Omeka forum at the same time - they responded with “Where did that message come from? It doesn’t seem like anything Omeka-related.”

Thank you though, I will turn on error logging and see what I can uncover.

Well the curl failure is Installatron which would be our environment, but it’s a generic failure because it can’t do the DB migration to 2.0 and that’s where you’d want to get more detailed errors for them.